/*! 
    \file helper_parent.h
    \brief this is a parent class, that isn't visible in the real world itself
*/


#ifndef _PILOT_NODE_H
#define _PILOT_NODE_H

#include "comincl.h"
#include "p_node.h"
#include "event_listener.h"

class Event;

class PilotNode : public PNode, public EventListener {

 public:
  PilotNode ();
  virtual ~PilotNode ();
  
  void command(Command* cmd);

  void process(const Event &event);

};

#endif /* _PILOT_NODE_H */
